Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.jems.as.system
Class LifecycleInvoker

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.jems.as.system.LifecycleInvoker

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class LifecycleInvoker

extends AbstractJBossService

A jmx method invoker based on the lifecycle.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`LifecycleInvoker()`

Method Summary
`protected void` | `createService()`
`protected void` | `destroyService()`
`java.lang.String` | `getOnCreate()`
`java.lang.String` | `getOnDestroy()`
`java.lang.String` | `getOnStart()`
`java.lang.String` | `getOnStop()`
`javax.management.ObjectName` | `getTarget()`
`void` | `setOnCreate(java.lang.String onCreate)`
`void` | `setOnDestroy(java.lang.String onDestroy)`
`void` | `setOnStart(java.lang.String onStart)`
`void` | `setOnStop(java.lang.String onStop)`
`void` | `setTarget(javax.management.ObjectName target)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleInvoker

    public LifecycleInvoker()

Method Detail

### getTarget

    public javax.management.ObjectName getTarget()

### setTarget

    public void setTarget(javax.management.ObjectName target)

### getOnCreate

    public java.lang.String getOnCreate()

### setOnCreate

    public void setOnCreate(java.lang.String onCreate)

### getOnStart

    public java.lang.String getOnStart()

### setOnStart

    public void setOnStart(java.lang.String onStart)

### getOnStop

    public java.lang.String getOnStop()

### setOnStop

    public void setOnStop(java.lang.String onStop)

### getOnDestroy

    public java.lang.String getOnDestroy()

### setOnDestroy

    public void setOnDestroy(java.lang.String onDestroy)

### createService

    protected void createService()
                          throws java.lang.Exception

  Overrides:
    `createService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### destroyService

    protected void destroyService()
                           throws java.lang.Exception

  Overrides:
    `destroyService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD